Register with password
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/register/password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"password": "<string>",
"confirm_password": "<string>",
"phone": "<string>",
"country_code": "<string>"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/register/password"
payload = {
"email": "jsmith@example.com",
"password": "<string>",
"confirm_password": "<string>",
"phone": "<string>",
"country_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
password: '<string>',
confirm_password: '<string>',
phone: '<string>',
country_code: '<string>'
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/register/password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"otp_token": "<string>",
"otp_action": "<string>"
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {}
}{
"message": "<string>",
"success": false,
"code": "<string>"
}Auth
Register with password
Registers a new user with email/phone and password. Returns a User object with access_token and refresh_token.
POST
/
auth
/
register
/
password
Register with password
Authorizations
Access token
Headers
This param is used to enable debug mode. If debug mode is enabled, the API will return OTP as well. This is only for development and testing purposes.
Body
application/json
- RegisterWithEmailPassword
- RegisterWithPhonePassword
10 digit phone number without country code.
Two-letter code begin with a plus sign prefix that identifies different countries. By default it will be +91 if not provided.
Was this page helpful?
โI